Loading...
Searching...
No Matches
apr_sha1_ctx_t Struct Reference

`#include <apr_sha1.h>`

## Data Fields

apr_uint32_t | digest [5]
apr_uint32_t | count_lo
apr_uint32_t | count_hi
apr_uint32_t | data [16]
int | local

## Detailed Description

SHA1 context structure

## Field Documentation

## count_lo

apr_uint32_t apr_sha1_ctx_t::count_lo

64-bit bit counts

## data

apr_uint32_t apr_sha1_ctx_t::data[16]

SHA data buffer

## digest

apr_uint32_t apr_sha1_ctx_t::digest[5]

message digest

## local

int apr_sha1_ctx_t::local

unprocessed amount in data

The documentation for this struct was generated from the following file:

- apr_sha1.h